org.apache.hadoop.hdfs.server.balancer

## Class Dispatcher.StorageGroupMap<G extends Dispatcher.DDatanode.StorageGroup>

- java.lang.Object
- - org.apache.hadoop.hdfs.server.balancer.Dispatcher.StorageGroupMap<G>

- Enclosing class:
    org.apache.hadoop.hdfs.server.balancer.Dispatcher

      public static class Dispatcher.StorageGroupMap<G extends Dispatcher.DDatanode.StorageGroup>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StorageGroupMap()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `G` | `get(String datanodeUuid, org.apache.hadoop.fs.StorageType storageType)`
    `void` | `put(G g)`
    `Collection<G>` | `values()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StorageGroupMap

          public StorageGroupMap()

  - ### Method Detail

    - #### get

          public G get(String datanodeUuid,
                       org.apache.hadoop.fs.StorageType storageType)

    - #### put

          public void put(G g)

    - #### values

          public Collection<G> values()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.